> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get list of telecom duct types > Operation is used to get a list of telecom duct types. Available from 3.2.10 product version. List can be filtered by giving filtering parameters at HTTP querystring (see parameters). ## OpenAPI ````json GET /duct-types/ { "openapi": "3.0.4", "info": { "title": "KeyCom REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Telecom premises", "description": "Telecom premises related operations." }, { "name": "Device", "description": "Device related operations." }, { "name": "Device Group", "description": "Device Group related operations." }, { "name": "Splice", "description": "Telecom Splice related operations." }, { "name": "Telecom Conduit", "description": "Telecom Conduit related operations." }, { "name": "Telecom Conduit Link", "description": "Operations related to putting Telecom Cables and Ducts into Conduits." }, { "name": "Telecom Duct", "description": "Telecom Duct related operations." }, { "name": "Telecom Duct Link", "description": "Operations related to putting Telecom Cables into Ducts." }, { "name": "Telecom Conduit Connection", "description": "Operations related to connecting Conduits and endpoints." }, { "name": "Telecom Cable Connection", "description": "Operations related to connecting Cables and endpoints" }, { "name": "Telecom Thread/Port Connection", "description": "Operations related to connecting and disconnecting telecom cable threads and device ports" }, { "name": "Telecom Duct Connection", "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole." }, { "name": "Manhole", "description": "Telecom Manhole related operations." }, { "name": "Cable", "description": "Telecom Cable related operations." }, { "name": "Cable Appendix", "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted." }, { "name": "Supercable", "description": "Telecom Supercable related operations." }, { "name": "Cross connection point", "description": "Cross connection point related operations." }, { "name": "Service Area", "description": "Service Area related operations." }, { "name": "Exchange Area", "description": "Exchange Area related operations." }, { "name": "Telecom Area", "description": "Telecom Area related operations." }, { "name": "Routefollower", "description": "Routefollower related operations." }, { "name": "Circuit", "description": "Circuit related operations." }, { "name": "Circuit Location", "description": "Circuit installation location related operations." }, { "name": "Circuit Section", "description": "Circuit section related operations." }, { "name": "Circuit Reservation Data", "description": "Circuit reservation data view and search operations." }, { "name": "Customer", "description": "Customer data related operations." }, { "name": "Passed Services", "description": "Passed Services related operations." }, { "name": "Circuit Connection", "description": "Circuit logical reservations related operations." }, { "name": "Circuit Physical Reservation", "description": "Circuit physical reservations related operations." }, { "name": "Create connections", "description": "Operation used to create new connections." }, { "name": "Terminal type", "description": "Terminal types related operations." }, { "name": "Logical connections", "description": "Logical connections related operations." }, { "name": "Circuit Services", "description": "Operations provided by micro services." }, { "name": "Contract", "description": "Contract related operations." }, { "name": "Contract Link", "description": "Contract link related operations." }, { "name": "Pole", "description": "Pole related operations." }, { "name": "Circuit faults", "description": "Circuit faults related operations." }, { "name": "Duct groups", "description": "Duct groups related operations." }, { "name": "Duct group rows", "description": "Duct group rows related operations." }, { "name": "Threads", "description": "Cable thread related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/duct-types/": { "get": { "tags": [ "Collections" ], "summary": "Get list of telecom duct types", "description": "Operation is used to get a list of telecom duct types. Available from 3.2.10 product version.\nList can be filtered by giving filtering parameters at HTTP querystring (see parameters).\n", "operationId": "getDuctTypes", "parameters": [ { "$ref": "#/components/parameters/offsetParam" }, { "$ref": "#/components/parameters/limitParam" }, { "$ref": "#/components/parameters/filterParam" }, { "$ref": "#/components/parameters/orderParam" } ], "responses": { "200": { "description": "A result response object.", "content": { "application/json": { "schema": { "type": "object", "properties": { "Next": { "type": "string", "description": "Url to next page of telecom duct types. Null if No next page exist", "format": "url" }, "Previous": { "type": "string", "description": "Url to previous page of telecom duct types. Null if No previous page exist", "format": "url" }, "Results": { "type": "array", "items": { "$ref": "#/components/schemas/DuctType" }, "description": "List of fetched telecom duct types" }, "Total": { "type": "integer", "description": "Total number of telecom duct types" } } }, "example": { "Next": "https://keycom.example.com/api/v2/duct-types/?limit=10&offset=20", "Previous": "https://keycom.example.com/api/v2/duct-types/?limit=10", "Results": [ { "availability_end_ts": null, "availability_start_ts": null, "colour": "HARMAA", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_FORM", "id": 90, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "txt": "Regular" }, "id": 10, "innerDiameter": 100.0, "innerXDiameter": null, "innerYDiameter": null, "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_MATERIAL", "id": 7201, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "txt": "Plastic" }, "orderNum": 0, "outerDiameter": 100.0, "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "M100", "unitCost": null }, { "availability_end_ts": null, "availability_start_ts": "2015-01-01T14:56:11", "colour": "", "crossSectionCell": "", "favorite": null, "form": null, "id": 4430, "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "manufacturer": "", "material": null, "orderNum": null, "outerDiameter": 1.0, "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "Testi tuleva", "unitCost": null }, { "availability_end_ts": null, "availability_start_ts": null, "colour": "HARMAA", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_FORM", "id": 90, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "txt": "Regular" }, "id": 861, "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_MATERIAL", "id": 7241, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Betoni", "txt": "Concrete" }, "orderNum": null, "outerDiameter": 100.0, "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "BE100", "unitCost": null }, { "availability_end_ts": null, "availability_start_ts": null, "colour": "MUSTA", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_FORM", "id": 130, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Mersu", "txt": "Partitioning duct" }, "id": 1261, "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_MATERIAL", "id": 7241, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Betoni", "txt": "Concrete" }, "orderNum": null, "outerDiameter": 400.0, "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "BE400", "unitCost": null }, { "availability_end_ts": null, "availability_start_ts": null, "colour": "HARMAA", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_FORM", "id": 90, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "txt": "Regular" }, "id": 1241, "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_MATERIAL", "id": 7241, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Betoni", "txt": "Concrete" }, "orderNum": null, "outerDiameter": 100.0, "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "BE4\"", "unitCost": null }, { "availability_end_ts": null, "availability_start_ts": null, "colour": "MINTTU", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_FORM", "id": 110, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Kouru", "txt": "Chute" }, "id": 1281, "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_MATERIAL", "id": 7201, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "txt": "Plastic" }, "orderNum": null, "outerDiameter": 50.0, "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "M50", "unitCost": null }, { "availability_end_ts": null, "availability_start_ts": null, "colour": "HARMAA", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_FORM", "id": 90, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "txt": "Regular" }, "id": 941, "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_MATERIAL", "id": 7201, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "txt": "Plastic" }, "orderNum": null, "outerDiameter": 50.0, "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "M50", "unitCost": null }, { "availability_end_ts": null, "availability_start_ts": null, "colour": "HARMAA", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_FORM", "id": 90, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "txt": "Regular" }, "id": 881, "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_MATERIAL", "id": 7201, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "txt": "Plastic" }, "orderNum": null, "outerDiameter": 40.0, "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "M40", "unitCost": null }, { "availability_end_ts": null, "availability_start_ts": null, "colour": "HARMAA", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_FORM", "id": 90, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Tavallinen", "txt": "Regular" }, "id": 901, "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_MATERIAL", "id": 7201, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Muovi", "txt": "Plastic" }, "orderNum": null, "outerDiameter": 30.0, "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "M30", "unitCost": null }, { "availability_end_ts": null, "availability_start_ts": null, "colour": "HARMAA", "crossSectionCell": "", "favorite": null, "form": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_FORM", "id": 110, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_FORM/", "logical_txt": "Kouru", "txt": "Chute" }, "id": 1221, "innerDiameter": null, "innerXDiameter": null, "innerYDiameter": null, "manufacturer": "", "material": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "DUCT_MATERIAL", "id": 7241, "list_url": "https://keycom.example.com/api/v2/txt_constants/groupname/DUCT_MATERIAL/", "logical_txt": "Betoni", "txt": "Concrete" }, "orderNum": null, "outerDiameter": 75.0, "outerXDiameter": null, "outerYDiameter": null, "productCode": "", "productCodeAlt": "", "sheathColour": null, "stripeColour": null, "stripeOtherColour": null, "subductType": "", "subductsNo": null, "type": "Kouru", "unitCost": null } ], "Total": 54 } } } }, "401": { "$ref": "#/components/responses/Http401" } }, "security": [ { "Token": [] } ] } } }, "components": { "parameters": { "offsetParam": { "name": "offset", "in": "query", "description": "Offset to start returning results.", "schema": { "minimum": 0, "type": "integer" } }, "limitParam": { "name": "limit", "in": "query", "description": "Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.", "schema": { "minimum": 1, "type": "integer" } }, "filterParam": { "name": "__any of the object fields__", "in": "query", "description": "Filters list by selected object field value.\nSupports structured queries via +++__+++ delimiter.\nSupports ending keywords via +++__+++ delimiter:\n- For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull\n- For numerics: gt, lt, gte, lte, isnull\n- For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby\n**Examples:** `+++usage_state__txt__istartswith=in+++` ,\n`+++plan__state__txt__startswith=In+++` , `+++creation_date__gte=2019-01-02T15:32:01+++`,\n`+++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++`\nSupports exclusive queries by field value using a not-operator preceding the field lookup:\n**Examples:** `+++not__type__txt__istartswith=Tie+++` , `+++not__id=1390+++`\n", "schema": { "type": "string" } }, "orderParam": { "name": "orderby", "in": "query", "description": "Selects the object field to order the returned objects by.\nCan be used to sort in reverse order with '-' prefix.\nCan have several ordering rules separated by comma.\nCan be used only for object own fields and does not support structured queries.\n**Example:** `orderby=creator,-creation_date`\n", "schema": { "type": "string" } } }, "schemas": { "DuctType": { "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Telecom Duct availability end", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Telecom Duct availability start", "format": "date-time" }, "colour": { "type": "string", "description": "Telecom Duct color" }, "crossSectionCell": { "type": "string", "description": "Telecom Duct Cross-section cell" }, "favorite": { "type": "boolean", "description": "Always show telecom duct type when filtering" }, "form": { "$ref": "#/components/schemas/ElDuctTypeForm" }, "id": { "type": "integer", "description": "primary key" }, "innerDiameter": { "type": "number", "description": "Telecom Duct inner diameter", "format": "float" }, "innerXDiameter": { "type": "number", "description": "Telecom Duct inner x-diameter", "format": "float" }, "innerYDiameter": { "type": "number", "description": "Telecom Duct inner y-diameter", "format": "float" }, "manufacturer": { "type": "string", "description": "Telecom Duct manufacturer name" }, "material": { "$ref": "#/components/schemas/ElDuctTypeMaterial" }, "orderNum": { "type": "integer", "description": "Telecom Duct order number" }, "outerDiameter": { "type": "number", "description": "Telecom Duct outer diameter", "format": "float" }, "outerXDiameter": { "type": "number", "description": "Telecom Duct outer x-diameter", "format": "float" }, "outerYDiameter": { "type": "number", "description": "Telecom Duct outer y-diameter", "format": "float" }, "productCode": { "type": "string", "description": "Telecom Duct product code" }, "productCodeAlt": { "type": "string", "description": "Telecom Duct product code alternative" }, "sheathColour": { "$ref": "#/components/schemas/DuctTypeColour" }, "stripeColour": { "$ref": "#/components/schemas/DuctTypeColour" }, "stripeOtherColour": { "$ref": "#/components/schemas/DuctTypeColour" }, "subductType": { "type": "string", "description": "Telecom Duct subduct type" }, "subductsNo": { "type": "integer", "description": "Telecom Duct subducts number" }, "type": { "type": "string", "description": "Telecom Duct type name" }, "unitCost": { "type": "number", "description": "Telecom Duct unit cost", "format": "float" } }, "description": "Telecom duct type" }, "ElDuctTypeForm": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DUCT_FORM" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Duct Form" }, "ElDuctTypeMaterial": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "DUCT_MATERIAL" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Duct Material" }, "DuctTypeColour": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "groupname": { "enum": [ "KEYCOM_DUCT_COLOR" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Duct Colour" }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" } }, "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } } }, "securitySchemes": { "Token": { "type": "apiKey", "description": "Token issued for API consumer.", "name": "Authorization", "in": "header" } } } } ````